Skip to main content
GET
/
integration
/
{id}
/
licenses
Get synced licenses for integration
curl --request GET \
  --url https://api.wirespeed.co/integration/{id}/licenses \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "licenseId": "<string>",
    "licenseName": "<string>",
    "isMain": true,
    "licenseTarget": "USER",
    "totalSeats": 123,
    "usedSeats": 123,
    "updatedAt": "<string>",
    "licenseMetadata": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Integration ID

Response

id
string
required

Unique identifier for the stored license row

licenseId
string
required

Integration-provided license identifier

licenseName
string
required

Human-readable license name

isMain
boolean
required

Whether this license is marked as the primary license

licenseTarget
enum<string>
required

Type of resource this license applies to (user or endpoint)

Available options:
USER,
ENDPOINT
totalSeats
number
required

Total available seats in this license

usedSeats
number
required

Number of seats currently in use

updatedAt
string
required

Timestamp when the license was last updated

licenseMetadata
object

Provider-specific metadata for this license